Skip to main content
GET
/
transactions
/
verify_by_reference
Verify a transaction by Transaction reference
curl --request GET \
  --url https://api.flutterwave.com/v3/transactions/verify_by_reference \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>'
{
  "status": "success",
  "message": "Transaction fetched successfully",
  "data": {
    "id": 4975363,
    "tx_ref": "1710840858755-RND_83",
    "flw_ref": "0537565244201710840859363",
    "device_fingerprint": "N/A",
    "amount": 1000,
    "currency": "NGN",
    "charged_amount": 1000,
    "app_fee": 14,
    "merchant_fee": 0,
    "processor_response": "success",
    "auth_model": "AUTH",
    "ip": "::ffff:172.16.47.200",
    "narration": "FLUTTERWAVE V3 DOCS",
    "status": "successful",
    "payment_type": "bank_transfer",
    "created_at": "2024-03-19T09:34:27.000Z",
    "account_id": 118468,
    "meta": {
      "originatoraccountnumber": "123*******90",
      "originatorname": "JOHN DOE",
      "bankname": "Access Bank",
      "originatoramount": "N/A"
    },
    "amount_settled": 986,
    "customer": {
      "id": 2374551,
      "name": "Anonymous customer",
      "phone_number": "08012345678",
      "email": "Johndoe@gmail.com",
      "created_at": "2024-03-19T09:34:18.000Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
enum<string>
required
Available options:
application/json
Example:

"application/json"

Query Parameters

tx_ref
string
required
Example:

"1710840858755-RND_83"

Response

OK

status
string
required
message
string
required
data
Data22 · object
required
Example:
{
"id": 4975363,
"tx_ref": "1710840858755-RND_83",
"flw_ref": "0537565244201710840859363",
"device_fingerprint": "N/A",
"amount": 1000,
"currency": "NGN",
"charged_amount": 1000,
"app_fee": 14,
"merchant_fee": 0,
"processor_response": "success",
"auth_model": "AUTH",
"ip": "::ffff:172.16.47.200",
"narration": "FLUTTERWAVE V3 DOCS",
"status": "successful",
"payment_type": "bank_transfer",
"created_at": "2024-03-19T09:34:27.000Z",
"account_id": 118468,
"meta": {
"originatoraccountnumber": "123*******90",
"originatorname": "JOHN DOE",
"bankname": "Access Bank",
"originatoramount": "N/A"
},
"amount_settled": 986,
"customer": {
"id": 2374551,
"name": "Anonymous customer",
"phone_number": "08012345678",
"email": "Johndoe@gmail.com",
"created_at": "2024-03-19T09:34:18.000Z"
}
}